News:

SMF 2.0.19 has been released! Please update. Read more.

Main Menu

Advanced Visual Verification

Started by Harzem, September 18, 2006, 08:46:15 AM

Previous topic - Next topic

青山 素子

#520
imako, AVV hasn't worked right since 1.1.2 because it wasn't updated and the default verification system was changed a bit. That being said, there have been no changes to the areas AVV changes between 1.1.2 and 1.1.3. If you install the update via the package manager, you should be okay. You might want to look at Visual Verification Options if you start having problems with AVV.

jnix, you can use the package parser at http://sleepycode.com/index.php?action=modparser to see what changes the mod made and check that those changes have been deleted.

The complexity dropdown was added in 1.1.2 for the built-in system, and won't influence AVV at all. The lack of changes is likely because of the system still using its generator for the images becuase the uninstall was incomplete. The registration image problem is also likely related to the incomplete uninstall of the mod. These should be fixed if you manually remove any remaining changes still present.
Motoko-chan
Director, Simple Machines

Note: Unless otherwise stated, my posts are not representative of any official position or opinion of Simple Machines.


jnix

Thanks - will try manually uninstalling (seems the modparser is out of action though - when I submit the file i just get taken to http://sleepycode.com/index.php)

jnix

Hooray, successfully manually uninstalled it. Phew.

Thanks Motoko-chan

go4java

Hi all,
I just installed SMF 1.1.3 and tried to integrate MOD 'Advanced Visual Verification' (=Captcha) into the forum by using the package manager (zip).
I get the error 'This mod doesn't seem to support your SMF version.'???!!!
What could be the problem? Is Captcha not yet supported by 1.1.3?
Ciao

Kindred

1- captcha already exists in 1.1.3, this mod just adds additional stuff
2- you'll have to edit the install.xml for this mod to include 1.1.3 as a valid install version. (as indicated in several previous posts)
Слова
Украина

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

lexhair

This mod has worked so well for me to eliminate spam, I've stayed with smf ver 1.1.1.

青山 素子

There have been several security fixes since 1.1.1 (although minor, they are still possible to be exploited by someone determined to cause problems). If you haven't upgraded please look over the changes for 1.1.2 and 1.1.3 and make sure you can live without the fixes.
Motoko-chan
Director, Simple Machines

Note: Unless otherwise stated, my posts are not representative of any official position or opinion of Simple Machines.


kuklovod

in fact, I'm thinking about reverting to 1.1 for this mod, too. built-in verification never prevented any spam for me.

青山 素子

Are you allowing guests to post?
Motoko-chan
Director, Simple Machines

Note: Unless otherwise stated, my posts are not representative of any official position or opinion of Simple Machines.


lexhair

Quote from: Motoko-chan on July 15, 2007, 03:02:42 AM
There have been several security fixes since 1.1.1 (although minor, they are still possible to be exploited by someone determined to cause problems). If you haven't upgraded please look over the changes for 1.1.2 and 1.1.3 and make sure you can live without the fixes.
Happily spam, hack and problem free. Thanks.

Jairito

I unpacked the modpackage and I changed in the package-info XML document <install for="1.1, 1.1.1"> and <uninstall for="1.1, 1.1.1">. Zipped and uploaded for installing. It didn't work: "Installations actions for "Advanced Visual Verification":
The package you are trying to download or install is either corrupt or not compatible with this version of SMF'


I changed it to 1.1.2 and I got the same message. After that I changed it to 1.1.3. The packagemanager unpacked the mod but gave the following warnings:
Error in Package Installation
At least one error was encountered during a test installation of this package. It is strongly recommended that you do not continue with installation unless you know what you are doing, and have made a backup very recently. This error may be caused by a conflict between the package you're trying to install and another package you have already installed, an error in the package, a package which requires another package that you don't have installed yet, or a package designed for another version of SMF.


Install Actions
Installations actions for "Advanced Visual Verification":
Installing this package will perform the following actions:
   Type    Action    Description
1.    Execute Code    installverification.php    
2.    Execute Modification    ./index.php    Test successful
3.    Execute Modification    ./Sources/Register.php    Test failed
4.    Execute Modification    ./Sources/Subs-Graphics.php    Test successful
5.    Execute Modification    ./Themes/default/Register.template.php    Test failed
6.    Execute Modification    ./Sources/Post.php    Test successful
7.    Execute Modification    ./Themes/default/Post.template.php    Test successful
8.    Execute Modification    ./Sources/Search.php    Test successful
9.    Execute Modification    ./Themes/default/Search.template.php    Test successful
10.    Execute Modification    ./Sources/PersonalMessage.php    Test successful
11.    Execute Modification    ./Themes/default/PersonalMessage.template.php    Test successful
12.    Execute Modification    ./Sources/ManageRegistration.php    Test failed
13.    Execute Modification    ./Themes/default/languages/index.english.php    Test successful
14.    Extract File    ./Sources/Verification.php    
15.    Extract Tree    ./Themes/default/ttf_fonts


What can I do? Just install or not? It gives some warnings. Or did I something wrong? I use SMF 1.1.3.


青山 素子

The image verification system changed considerably in SMF 1.1.2, which is why those are failing. The creator abandoned it, so there have been no updates (and won't be unless they return to update it or give permission for someone else to take over).

I personally don't recommend using this unless you have the skills to update it for your own use.
Motoko-chan
Director, Simple Machines

Note: Unless otherwise stated, my posts are not representative of any official position or opinion of Simple Machines.


Jairito

There are some members on this forum who are using AVV in their own forum, running @ 1.1.3, right? So it's possible. Is there one of them who can guide me to integrated AVV in my forum. I really need this mod. I am getting sick of all those spammers on my forum. Every day I have to delete/ban more than 10 spamaccounts. They use automatic scripts to login and to post spam. The AVV mod is a great solution for this problem.

Jairito

How strange. I checked the loginpage and I see the code-images. I check the AVV by loggin in with a new account and it worked. I can't find the mod in "Installed Packages". But I do remember that I installad the mod before the Upgrade to 1.1.3. I don't know if this is normal but Hey!...it works :)

Daniel15

I've PMed HarzeM about this mod. If he lets me, I'll see if I can update it so it supports SMF 1.1.3.
Stay tuned :)
Daniel15, former Customisation team member, resigned due to lack of time. I still love everyone here :D.
Go to smfshop.com for SMFshop support, do NOT email or PM me!

Daniel15

OK, I got permission from HarzeM to update it. The updates are coming along nicely, and my local version now support SMF 1.1.2 and 1.1.3.

However, there's a few bugs that will delay the release a bit. I'll try to fix the bug with admins editing messages by guests (it says that they didn't enter the code correctly, but no code was actually displayed), as well as a few other little bugs.

Since I don't have much free time, I won't work on it much until Friday.
Daniel15, former Customisation team member, resigned due to lack of time. I still love everyone here :D.
Go to smfshop.com for SMFshop support, do NOT email or PM me!

Daniel15

Daniel15, former Customisation team member, resigned due to lack of time. I still love everyone here :D.
Go to smfshop.com for SMFshop support, do NOT email or PM me!

RoccoGD


Garry1953

Installed and works perfect.
Thanks

Lucleonhart

Quote from: Daniel15 on August 17, 2007, 06:07:20 AM
Alright, updated version is up. Please see http://custom.simplemachines.org/mods/index.php?mod=907 :)
I still got "Unable to load the 'verification_settings' template." when i click on the visual verification settings link. :(

Advertisement: